package com.scpyun.platform.jilinsscgsdp.config;

import com.obs.services.ObsClient;
import com.scpyun.base.core.utils.Global;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 华为obs客户端配置
 *
 * @author liuming
 * @version 2021/5/10
 */
@Configuration
public class ObsClientConfig {


    private String accessKey = Global.getConfig("obs.accessKey");
    private String secretKey = Global.getConfig("obs.secretKey");
    private String endPoint = Global.getConfig("obs.endPoint");

    @Bean
    public ObsClient obsClient() {
        return new ObsClient(accessKey, secretKey, endPoint);
    }

}
